﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;
using System.Diagnostics;

namespace _90075
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            Appointment app = new Appointment(DateTime.Now, DateTime.Now.AddHours(2));
            app.Recurrence = new AppointmentRecurrence();
            app.Recurrence.PatternFrequency = RecurrencePatternFrequency.Weekly;
            app.Recurrence.PatternInterval = 1;
            app.Recurrence.RangeLimit = RecurrenceRangeLimit.LimitByNumberOfOccurrences;
            app.Recurrence.RangeMaxOccurrences = 5;
            app.Recurrence.RangeEndDate = DateTime.Now.AddDays(35);
            app.Description = "Donuts and bagles provided";
            app.Subject = "Compnay breakfast meeting";
            Debug.WriteLine(UltraCalendarInfo.ExportICalendar(new Appointment[] { app }));
        }
    }
}
